from pr89_1 import get_smaller_than_or_equal_to, get_greater_than


def quicksort_variant(a):
    n = len(a)
    if n <= 1:
        return a
    else:
        pivot = a[n // 2]
        v1 = get_smaller_than_or_equal_to(a, pivot)
        v1.remove(pivot)
        v2 = get_greater_than(a, pivot)
        return (quicksort_variant(v1) + [pivot]
                + quicksort_variant(v2))


print(quicksort_variant([3, 6, 1, 7, 4]))
print(quicksort_variant([9, 6, 1, 7, 4]))
